package com.arms.api.analysis.time.service;

import com.arms.api.analysis.time.dto.TimeAggrDTO;
import com.arms.api.analysis.time.dto.TimeDTO;
import com.arms.api.analysis.time.vo.AlmIssueStatByDateVO;
import com.arms.api.analysis.time.vo.RidgeLineVO;
import com.arms.api.issue.almapi.model.entity.AlmIssueEntity;

import java.util.List;

public interface AnalysisTime {

    List<AlmIssueEntity> getUpdatedIssueForLastYear(TimeDTO timeDTO);

    AlmIssueStatByDateVO getUpdatedIssueByDate(TimeAggrDTO timeAggrDTO);

    AlmIssueStatByDateVO getUpdatedIssueByDateAndStatus(TimeAggrDTO timeAggrDTO);

    List<AlmIssueEntity> getUpdatedIssueByDateRange(TimeAggrDTO timeAggrDTO);

    List<RidgeLineVO> getUpdatedFrequency(TimeAggrDTO timeAggrDTO);
}
