package com.arms.api.analysis.time.vo;

import com.arms.api.issue.almapi.model.entity.AlmIssueEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Getter
@Builder
@ToString
@AllArgsConstructor
public class AlmIssueListMapVO {
    @Builder.Default
    Map<Long, List<AlmIssueEntity>> almIssueListMap = new HashMap<>();

    public static AlmIssueListMapVO of(Map<Long, List<AlmIssueEntity>> versionGroupedResult) {
        return AlmIssueListMapVO.builder()
                .almIssueListMap(versionGroupedResult)
                .build();
    }
}
