package com.arms.api.dashboard.service;

import com.arms.api.dashboard.model.dto.ResourceWithVersionIdNamesDTO;
import com.arms.api.dashboard.model.vo.AssigneePerVersionVO;
import com.arms.api.dashboard.model.vo.TreeMapWorkerVO;
import com.arms.api.dashboard.model.dto.DashboardAggrDTO;
import com.arms.api.dashboard.model.dto.DashboardDTO;
import com.arms.api.dashboard.model.vo.Top5ReqAssigneeVO;
import com.arms.api.util.model.dto.request.지라이슈_기본_검색_집계_하위_요청;
import com.arms.egovframework.javaservice.esframework.model.vo.버킷_집계_결과_목록_합계;

import java.util.List;
import java.util.Map;

public interface Dashboard {

    List<TreeMapWorkerVO> 작업자_별_요구사항_별_관여도_treemap(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO);

    List<Top5ReqAssigneeVO> top5ReqAssignee(DashboardAggrDTO dashboardAggrDTO);

    버킷_집계_결과_목록_합계 제품_버전_요구사항_이슈_집계(Long pdServiceId, 지라이슈_기본_검색_집계_하위_요청 지라이슈_일반_집계_요청);

    List<AssigneePerVersionVO> findVersionAssignees(DashboardDTO dashboardDTO);

//    Map<String, 요구사항_지라이슈상태_주별_집계> 요구사항_지라이슈상태_주별_집계(DashboardDTO dashboardDTO);

}
