package com.arms.api.analysis.requirement.dto;

import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
public class ReqAnalysisDTO {

    PdServiceAndIsReqDTO pdServiceAndIsReq;

    public Long pdServiceLink(){
        return pdServiceAndIsReq.getPdServiceId();
    }

    public List<Long> pdServiceVersionLinks(){
        return pdServiceAndIsReq.getPdServiceVersions();
    }

    public Boolean isReq(){
        return pdServiceAndIsReq.getIsReq();
    }
}
