package com.arms.api.analysis.resource.service;

import com.arms.api.analysis.resource.dto.ResourceDTO;
import com.arms.api.analysis.resource.dto.ResourceAggrWithAssigneesSubGroupDTO;
import com.arms.api.analysis.resource.dto.ResourceWithVersionIdNamesDTO;
import com.arms.api.analysis.resource.vo.*;

import java.util.List;

public interface AnalysisResource {

    List<UniqueAssigneeIssueStatusVO> issueStatusByAssignee(ResourceDTO resourceDTO);

    List<WordCloudVO> findWordCloudAggregationData(ResourceDTO resourceDTO);

    StackedHorizontalBarChartVO issueStatusStackedBarChartAggregationData(ResourceDTO resourceDTO);

    TotalIssueAndPieChartVO findTopNContributorsPieChartAggregationData(ResourceDTO resourceDTO);

    HorizontalBarChartYAxisAndSeriesVO findTopNContributorsHorizontalBarChartAggregationData(
            ResourceAggrWithAssigneesSubGroupDTO resourceAggrWithAssigneesSubGroupDTO);

    List<AssigneePerVersionVO> findVersionAssignees(ResourceDTO resourceDTO);

    List<UniqueAssigneeVO> findAssigneesInfo(ResourceDTO resourceDTO);

    List<TreeMapWorkerVO> 작업자_별_요구사항_별_관여도_treemap(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO);
}
