package com.arms.api.dashboard.model.dto;

import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;
import com.arms.egovframework.javaservice.esframework.model.dto.기본_검색_요청;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class DashboardDTO extends 기본_검색_요청{

    PdServiceAndIsReqDTO pdServiceAndIsReq;

    public Long getPdServiceLink(){
        return pdServiceAndIsReq.getPdServiceId();
    }

    public List<Long> getPdServiceVersionLinks(){
        return pdServiceAndIsReq.getPdServiceVersions();
    }

    public Boolean getIsReq(){
        return pdServiceAndIsReq.getIsReq();
    }
}
