package com.arms.api.dashboard.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Getter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TreeMapWorkerVO {
    String id;
    String name;
    Map<String, Integer> data;
    @Builder.Default
    List<TreeMapTaskListVO> children = new ArrayList<>();

    public TreeMapWorkerVO(String id, String name) {
        this.id = id;
        this.name = name;
    }
}
