package com.arms.api.util.redis;

import lombok.AllArgsConstructor;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
@AllArgsConstructor
public class RedisUtil {

    private final RedisTemplate<String, Object> redisTemplate;

    public Map<?, ?> getHashData(String key) {
        return redisTemplate.opsForHash().entries(key);
    }
}